plot.qq {sma} | R Documentation

## Histogram and Normal Quantile-Quantile plot

### Description

Produces a histogram and a normal Quantile-Quantile plot of the data. The points corresponding to genes with statistics less/greater than a user defined threshold are highlighted. The histogram and Q-Q plots are displayed on the same page.

### Usage

    plot.qq(x, name, low=-5, high=5,...)

### Arguments

`x` | a numeric vector containing the statistics whose histogram and Q-Q plot will be produced. Missing values (NAs) are allowed.
`name` | title for the plots.
`low` | lower threshold: points with statistic < low are colored in green.
`high` | upper threshold: points with statistic > high are colored in red.
`...` | additional graphical parameters

### Author(s)

Sandrine Dudoit, sandrine@stat.berkeley.edu
Yee Hwa Yang, yeehwa@stat.berkeley.edu

### References

Chambers, J. M., Cleveland, W. S., Kleiner, B. and Tukey, P. A. (1983). Graphical Methods for Data Analysis. Wadsworth, Belmont, California.

Hoaglin, D. C., Mosteller, F. and Tukey, J. W., editors (1983). Understanding Robust and Exploratory Data Analysis. Wiley, New York.

### See Also

`plot.spatial`, `plot.t2`, `stat.t2`, `hist`, `qqnorm`.

### Examples

    data(MouseArray)
    ## mouse.setup <- init.grid()
    ## mouse.data <- init.data() ## see \emph{init.data}
    ## mouse.lratio <- stat.ma(mouse.data, mouse.setup)

    ## Calculation of t-statistics
    ## cl <- c(rep(1,3), rep(2,3))
    ## mouse.t2 <- stat.t2(mouse.lratio, cl)

    ## Diagnostic plots
    plot.qq(mouse.t2$t, "Mouse")

[Package sma version 0.5.14 Index]